---
title: Range.selectNode()
slug: Web/API/Range/selectNode
tags:
  - API
  - DOM
  - Method
  - Range
---
<div>{{ApiRef("DOM")}}</div>

<p>The <strong><code>Range.selectNode()</code></strong> method sets the {{domxref("Range")}} to contain the {{domxref("Node")}} and its contents. The parent {{domxref("Node")}} of the start and end of the {{domxref("Range")}} will be the same as the parent of the <em>referenceNode</em>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>range</em>.selectNode(<em>referenceNode</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>referenceNode</em></dt>
 <dd>The {{domxref("Node")}} to select within a {{domxref("Range")}}.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush:js">let range = document.createRange();
let referenceNode = document.getElementsByTagName('div').item(0);

range.selectNode(referenceNode);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-selectnode', 'Range.selectNode()')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Traversal_Range', 'ranges.html#Level2-Range-method-selectNode', 'Range.selectNode()')}}</td>
   <td>{{Spec2('DOM2 Traversal_Range')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Range.selectNode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index</a></li>
</ul>
